#include "dispatch.h"

using namespace dispatch;
using namespace Inlet;

QList<quint64> Dispatch::allCmds() const {
	return _cmds_map.keys();
}

void Dispatch::registerCmd(quint64 addr, IRunbase* unit, const QString& alias) {
	_cmds_map[addr] = std::make_pair(alias, unit);
}

QString Dispatch::getCmdAlias(quint64 addr) const {
	return _cmds_map[addr].first;
}

QString Dispatch::getCmdDefault(quint64 addr) const {
	return "";
}

void Dispatch::runWith(IRunbase* unit) {
	unit->run();
}
